Bug 1183805 - Documentation for setting multiple values for idnsAllowTransfer idnsAllowQuery is incorrect.
Summary: Documentation for setting multiple values for idnsAllowTransfer idnsAllowQuer...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind-dyndb-ldap
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Petr Spacek
QA Contact: Namita Soman
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 21:15 UTC by Clifton Coursey
Modified: 2015-07-22 05:39 UTC (History)
3 users (show)

(edit)
The documentation for bind-dyndb-ldap-2.3 located in the /usr/share/doc/bind-dyndb-ldap-2.3/README file incorrectly stated that the "idnsAllowTransfer" and "idnsAllowQuery" LDAP attributes are multi-valued. Consequently, users were not able to configure DNS zone transfer and query acess control lists according to the documentation. The documentation has been fixed to explain the correct attribute syntax.
Clone Of:
(edit)
Last Closed: 2015-07-22 05:39:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1259 normal SHIPPED_LIVE bind-dyndb-ldap bug fix update 2015-07-20 17:49:53 UTC
Red Hat Knowledge Base (Solution) 1315883 None None None Never

Description Clifton Coursey 2015-01-19 21:15:58 UTC
Description of problem:
The documentation for bind-dyndb-ldap-2.3 (/usr/share/doc/bind-dyndb-ldap-2.3/README) says that idnsAllowTransfer and idnsAllowQuery allow multiple values, with an example showing multiple values being set, one per line.  

ldap_add: Constraint violation (19)
        additional info: idnsAllowQuery: multiple values provided

Version-Release number of selected component (if applicable):
bind-dyndb-ldap-2.3


Additional info:
/usr/share/doc/bind-dyndb-ldap-2.3/README

Comment 1 Clifton Coursey 2015-01-19 21:40:11 UTC
Here is the delta:
<snip>
quote from /usr/share/doc/bind-dyndb-ldap-2.3/README:

        This attribute can be set multiple times and are merged together to the one ACL.

        Example:
                idnsAllowQuery: 127.0.0.1
                idnsAllowQuery: ::1
                idnsAllowQuery: 192.168.1.0/24

        In the example above clients with 127.0.0.1 and ::1 IP addresses and
        clients from the 192.168.1.0/24 network are allowed to obtain records
        from the zone.

# end quote
</snip>

NEEDS TO BE:

idnsAllowQuery: 10.14.7.222;10.14.5.171;10.14.5.172;10.14.5.173;!10.0.0.0/8;

[+] Knowledge Base Solution/Article created for the same

Comment 4 Petr Spacek 2015-01-20 08:40:47 UTC
Upstream ticket:
https://fedorahosted.org/bind-dyndb-ldap/ticket/154

Comment 7 Kaleem 2015-05-28 10:18:04 UTC
Verified.

[root@dhcp207-230 ~]# cat /usr/share/doc/bind-dyndb-ldap-2.3/README |grep "* idnsAllowQuery" -B 2 -A 18
	value "dyn_update" from plugin configuration will be used.

* idnsAllowQuery
	Specifies BIND9 zone ACL element as one string.

	Example 1:      idnsAllowQuery: 192.0.2.1;
	In the first example above, only the client with 192.0.2.1 IP address
	is allowed to query records from the zone.

	Example 2:      idnsAllowQuery: !192.0.2.33; 192.0.2.0/24;
	In the second example, queries from client 192.0.2.33 are refused
	but queries from all other clients in the 192.0.2.0/24 network
	are allowed.

	You can specify IPv4/IPv6 address, IPv4/IPv6 network address in CIDR
	format, and "any" or "none" keywords. The "!" prefix (for example
	!192.0.2.33) means negation of the ACL element.

	If not set, then zone inherits global allow-query from named.conf.

* idnsAllowTransfer
[root@dhcp207-230 ~]# rpm -q bind-dyndb-ldap
bind-dyndb-ldap-2.3-7.el6.x86_64
[root@dhcp207-230 ~]#

Comment 9 errata-xmlrpc 2015-07-22 05:39:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1259.html


Note You need to log in before you can comment on or make changes to this bug.